Rated 4 out of 5 stars

@dbrnz, Too late. Firefox has been updated to 4.01, and when I tried the link you gave it said it wasn't compatible with 4.01.